aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/internal_ci
diff options
context:
space:
mode:
authorGravatar Jan Tattermusch <jtattermusch@google.com>2018-11-09 18:08:29 +0100
committerGravatar Jan Tattermusch <jtattermusch@google.com>2018-11-09 18:10:52 +0100
commit969a15523739aef06347afe5ef64505c3af3753d (patch)
treeb12efa9a4429ebc0801cf773ab654724f49e3272 /tools/internal_ci
parent75c6c474aede4c37e7debf86b511340a362c42f1 (diff)
add script for running RBE msan on PRs
Diffstat (limited to 'tools/internal_ci')
-rw-r--r--tools/internal_ci/linux/pull_request/grpc_msan_on_foundry.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/tools/internal_ci/linux/pull_request/grpc_msan_on_foundry.sh b/tools/internal_ci/linux/pull_request/grpc_msan_on_foundry.sh
new file mode 100644
index 0000000000..c85a837a44
--- /dev/null
+++ b/tools/internal_ci/linux/pull_request/grpc_msan_on_foundry.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+# Copyright 2018 The gRPC Authors
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -ex
+
+github/grpc/tools/internal_ci/linux/grpc_bazel_on_foundry_base.sh --config=msan